searchData={"items":[{"type":"module","title":"BaseX","doc":"coding for arbitrary alphabets and block sizes","ref":"BaseX.html"},{"type":"function","title":"BaseX.prepare_module/3","doc":"prepare a coding module\n\nReturns the name of the module.\n\nThe resulting module will appear in the BaseX namespace and have `encode`\nand `decode` functions available.\n\nExamples:\n\n```\niex> BaseX.prepare_module(\"Base2\", \"01\", 4)\nBaseX.Base2\n\niex> BaseX.Base2.encode(\"Hi!\")\n\"010010000110100100100001\"\n\niex> BaseX.Base2.decode(\"010010000110100100100001\")\n\"Hi!\"\n```\n\nThese functions are only suitable for complete messages.\nStreaming applications should manage their own incomplete message state.\n\nThe supplied module name should be both valid (by Elixir rules) and unique.\nCare should be taken when regenerating modules with the same name.\n\nAlphabets may be defined by `{\"t\",\"u\",\"p\",\"l\",\"e\"}`, `\"string\"`, `'charlist'` or\n`[\"l\",\"i\",\"s\",\"t\"]` as desired.","ref":"BaseX.html#prepare_module/3"}],"content_type":"text/markdown"}